import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from '@common/src/store/user/state';
import * as umutations from '@common/src/store/user/mutations';
// 系统设置-system
import code from '@common/src/store/system/code';
// 用户管理-user
import admin from '@common/src/store/user/admin';
import personal from '@common/src/store/user/personal';
import organization from '@common/src/store/user/organization';
import expert from '@common/src/store/user/expert';
// 成果评价
import apply from '@common/src/store/achieve/apply';
// 评审专家
import reviewExpert from '@common/src/store/achieve/reviewExpert';
// 评审记录
import checkRecord from '@common/src/store/achieve/checkRecord';
// 证书资料单独上传
import certfile from '@common/src/store/achieve/certfile';

Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    code,
    admin,
    personal,
    organization,
    expert,
    apply,
    reviewExpert,
    checkRecord,
    certfile,
  },
});
